Bug 1000587 - spout core dump when amqp1.0 protocol specified with a bad ADDRESS
spout core dump when amqp1.0 protocol specified with a bad ADDRESS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-23 14:57 EDT by Ernie
Modified: 2015-01-21 07:57 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5098 None None None Never

  None (edit)
Description Ernie 2013-08-23 14:57:18 EDT
Description of problem:
The c++ spout utility core dumps when 

Version-Release number of selected component (if applicable):
0.22-8

How reproducible:
100%

Steps to Reproduce:
1. Install qpid-cpp-client-devel
2. cd /usr/share/examples/messaging
3. mkdir BLD
4. cd BLD
5. cmake ..
6. make
7. ./spout --connection-options "{protocol:amqp1.0}" foo

Actual results:
No such target : foo
terminate called after throwing an instance of 'qpid::messaging::LinkError'
  what():  Link detached by peer with amqp:not-found: Node not found: foo
Aborted (core dumped)

Expected results:
An error message that explains that foo is not valid, but no core

Additional info:
The utility drain does not produce a core in the same situation.
./drain --connection-options "{protocol:amqp1.0}" foo
outputs
No such source : foo

If {protocol:amqp1.0} is not specified on the spout command line, no core is produced.
Comment 1 Ernie 2013-08-23 15:00:45 EDT
Description of problem should read 
The c++ spout utility core dumps when --comment-options "{protocol:amqp1.0}" is specified on the command line and an invalid address is used.
Comment 2 Gordon Sim 2013-08-26 07:31:50 EDT
Fixed upstream: https://svn.apache.org/r1517498
Comment 3 Petr Matousek 2014-02-10 09:49:55 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-33

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.